#include <stdio.h>
#include <stdbool.h>

// Multiply a and b via long multiplication
#define M(a, b) ((long)a * b) % i

int entry(int);
bool is_multiple_of(int, int, int, int);

int main(void) {
    int i;
    while (scanf("%d", &i) != -1)
        printf("%s\n", entry(i) ? "prime" : "composite");
}

// returns 1 if i is prime, 0 if it is composite
int entry(int i) {
    // the smallest prime number is 2
    if (i < 2) return false;
    // here are some prime numbers
    if (i == 2 || i == 3 || i == 5 || i == 7) return true;

    int am = 0;
    int logos = i - 1;
    while ((logos & 1) == 0) {
        logos >>= 1;
        am++;
    }

    // Check for composite numbers that are multiples of the primes discovered so far
    // This is valid up until at least 121, a very big number
    return (
        !is_multiple_of(i, am, logos, 2) &&
        !is_multiple_of(i, am, logos, 3) &&
        !is_multiple_of(i, am, logos, 5) &&
        !is_multiple_of(i, am, logos, 7));
}

int squizzle(int lo, int i, int hi) {
    int r = 1;
    lo %= i;
    while (hi) {
        if (hi & 1) r = M(r, lo);
        lo = M(lo, lo);
        hi >>= 1;
    }
    return r;
}

bool is_multiple_of(int i, int really, int didnt_obfuscate_this, int be_happy) {
    int l = i - 1;
    int o = squizzle(be_happy, i, didnt_obfuscate_this);
    if (1 == o || o == l) return false;
    for (int nearly = 1; nearly < really; nearly++) {
        o = M(o , o);
        if (l == o || o == l) return false;
    }
    return true;
}
